<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
        <title>Administrator</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="/css/bootstrap-responsive.min.css">
        <link rel="stylesheet" href="/css/styles.css">
    </head>
    <body class="tables">
        <!--[if lt IE 7]>
            <p class="chromeframe">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> or <a href="http://www.google.com/chromeframe/?redirect=true">activate Google Chrome Frame</a> to improve your experience.</p>
        <![endif]-->

        <div class="navbar navbar-inverse navbar-fixed-top">
            <div class="navbar-inner">
                <div class="container-fluid">
                    <a class="brand" href="#"><strong class="brandBold">Admin</strong>istrator</a>
                    <div class="nav pull-right">
                        <form class="navbar-form">
                            <div class="input-append">
                                <div class="collapsibleContent">
                                    <a href="#collapsedSidebarContent" class="sidebar"><span class="add-on add-on-mini add-on-dark" id="profile"><i class="icon-user"></i><span class="username">  <?= name ?></span></span></a>
                                </div>
                            </div>
                        </form>
                    </div><!--/.nav-collapse -->
                </div>
            </div>
        </div>
        <div class="hiddenContent">
            
            <div id="collapsedSidebarContent">
                <div class="sidebarDivider"></div>
                <div class="sidebarContent">
                    <ul class="collapsedSidebarMenu">
                        <li class="sublevel"><a href="#">change password<i class="icon-lock"></i></a></li>
                        <li class="sublevel"><a href="/admin/me/logout">logout<i class="icon-off"></i></a></li>
                    </ul>
                </div>   
            </div>
      
        </div>
        <div class="mainmenu">
            <div class="container-fluid">
                <ul class="nav">
                    <li class="collapseMenu"><a href="#"><i class="icon-double-angle-left"></i>hide menu<i class="icon-double-angle-right deCollapse"></i></a></li>
                    <li class="divider-vertical firstDivider"></li>
                    <li class="left-side" id="dashboard"><a href="#"><i class="icon-dashboard"></i> หน้าหลัก</a></li>
                    <li class="divider-vertical"></li>
                    <li class="dropdown" class="active">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#" id="formElements"><i class="icon-list"></i> จัดการลูกค้า <span class="label label-pressed">2</span></a>
                        <ul class="dropdown-menu">
                            <li><a tabindex="-1" href="/register">เพิ่มลูกค้า</a></li>
                            <li><a tabindex="-1" href="/admin/me">ลูกค้าทั้งหมด</a></li>
                        </ul>
                    </li>
                    <li class="divider-vertical"></li>
                    <li class="dropdown"><a class="dropdown-toggle" data-toggle="dropdown" href="#" id="tables"><i class="icon-th-large"></i></i> แจ้งการโอนเงิน <span class="label label-pressed">2</span></a>
                    <ul class="dropdown-menu">
                      <li><a tabindex="-1" href="/payment">เพิ่มข้อมูลแจ้งโอนเงิน</a></li>
                      <li><a tabindex="-1" href="/admin/paymentlist">ข้อมูลแจ้งโอนเงินทั้งหมด</a></li>
                  </ul>
                  </li>
                    <li class="divider-vertical"></li>
                </ul>
           </div>
        </div>
        <div class="content">

            <div class="container-fluid">

                <div class="row-fluid">
                    <div class="span12">
                        <div class="containerHeadline">
                            <i class="icon-table"></i><h2>แจ้งโอนเงิน</h2>
                        </div>
                        <div class="floatingBox table">
                            <div class="container-fluid">
                                <div class="span12">
                                    <!-- ==================== TEXT INPUTS HEADLINE ==================== -->
                                    <div class="containerHeadline">
                                        <i class="icon-ok-sign"></i><h2>เพิ่มข้อมูลการโอนเงิน</h2>
                                    </div>
                                    <? if(typeof errors !== 'undefined'){ ?>
                                        <div class="alert alert-error">
                                            
                                            <?= errors.message ?>
                                        </div>
                                        <? } ?>
                                    <!-- ==================== END OF TEXT INPUTS HEADLINE ==================== -->
            
                                    <!-- ==================== TEXT INPUTS FLOATING BOX ==================== -->
                                    <div class="floatingBox">
                                        <div class="container-fluid">
                                            <form class="form-horizontal contentForm" data-validate="parsley" action="/payment/add" method="POST" enctype="multipart/form-data">
                                                <div class="control-group">
                                                    <label class="control-label" for="fullname">ลูกค้า *</label>
                                                    <div class="controls">
                                                        <select id='hover' name='customer_id' class='custom-select'>
                                                            <option value="">เลือกลูกค้า</option>
                                                            <? if(data.length){
        
                                                                for(var i = 0; i< data.length; i++) { 
                                                                
                                                              ?> 
                                                            <option value="<?= data[i].id?>"><?= data[i].username?></option>
                                                            <? } ?>  
                                                            <? } ?>  
                                                          </select>
                                                    </div>
                                                </div>
                                                
                                                <div class="control-group">
                                                    <label class="control-label" for="bank">ธนาคาร</label>
                                                    <div class="controls">
                                                        <select name="bank" class="span10 parsley-validated">
                                                            <option value="">เลือกธนาคาร</option>
                                                            <option value="Kbank">ธนาคารกสิกรไทย</option>
                                                            <option value="SCB">ธนาคารไทยพาณิชย์</option>
                                                          </select>
                                                    </div>
                                                </div>
                                                <div class="control-group">
                                                    <label class="control-label" for="amount">จำนวนเงิน</label>
                                                    <div class="controls">
                                                      <input type="number" id="amount" name="amount" class="span10">
                                                    </div>
                                                </div>
                           
                                                <div class="control-group last">
                                                    <label class="control-label" for="image">สลิป *</label>
                                                    <div class="controls">
                                                        <input type="file" name="image">
                                                    </div>
                                                </div>
                                   
                                                <div class="formFooter">
                                                    <button type="submit" class="btn btn-primary">Submit</button>
                                                    <button type="reset" class="btn">Reset</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                    <!-- ==================== END OF TEXT INPUTS FLOATING BOX ==================== -->
                                </div>
                            </div>
                          </div>

                    </div>
                </div>
            
            </div>
            
        </div>
        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="/js/vendor/jquery-1.9.1.min.js"><\/script>')</script>
        <script src="/js/vendor/bootstrap-slider.js"></script>                   <!-- bootstrap slider plugin -->
        <script src="/js/vendor/jquery.sparkline.min.js"></script>               <!-- small charts plugin -->
        <script src="/js/vendor/jquery.tablesorter.min.js"></script>             <!-- tablesorter plugin -->
        <script src="/js/vendor/jquery.tablesorter.widgets.min.js"></script>     <!-- tablesorter plugin / widgets extension -->
        <script src="/js/vendor/jquery.tablesorter.pager.min.js"></script>       <!-- tablesorter plugin / pager extension -->
        <script src="/js/vendor/bootstrap-datepicker.js"></script>               <!-- datepicker plugin -->
        <script src="/js/vendor/bootstrap-multiselect.js"></script>              <!-- multiselect plugin -->

        <script src="/js/vendor/bootstrap.min.js"></script>
        <script src="/js/vendor/bootstrap-editable.min.js"></script>             <!-- editable fields plugin -->
        <script src="/js/thekamarel.min.js"></script>                            <!-- main project js file -->

        <script>
        // add parser through the tablesorter addParser method
        $.tablesorter.addParser({
            id: 'checkbox',
            is: function(s) {
                return false;
            },
            format: function(s, table, cell, cellIndex) {
                var $t = $(table), $c = $(cell), c,

                // resort the table after the checkbox status has changed
                resort = false;

                if (!$t.hasClass('hasCheckbox')) {
                    $t
                    .addClass('hasCheckbox')
                    // make checkbox in header set all others
                    .find('thead th:eq(' + cellIndex + ') input[type=checkbox]')
                    .bind('change', function(){
                        c = this.checked;
                        $t.find('tbody tr:visible td:nth-child(' + (cellIndex + 1) + ') input').each(function(){
                          this.checked = c;
                          $(this).trigger('change');
                        });
                    })
                    .bind('mouseup', function(){
                        return false;
                    });
                    $t.find('tbody tr').each(function(){
                        $(this).find('td:eq(' + cellIndex + ')').find('input[type=checkbox]').bind('change', function(){
                            $t.trigger('updateCell', [$(this).closest('td')[0], resort]);
                        });
                    });
                }
                // return 1 for true, 2 for false, so true sorts before false
                c = ($c.find('input[type=checkbox]')[0].checked) ? 1 : 2;
                $c.closest('tr')[ c === 1 ? 'addClass' : 'removeClass' ]('checked');
                return c;
            },
            type: 'numeric'
        });

        $(function() {
            $('#tablesorterDemo').tablesorter({
                sortList: [[1,0]],
                widgets: ['zebra', 'stickyHeaders'],
                headers: {
                    0: {
                        sorter: 'checkbox'
                    },
                }
            });

            /*=============================================================================================
                 ============================== LOAD TABLESORTER PAGER SETTINGS ===============================
                 =============================================================================================*/

                // define pager options
                var pagerOptions = {
                    // target the pager markup - see the HTML block below
                    container: $(".pager"),
                    // output string - default is '{page}/{totalPages}'; possible variables: {page}, {totalPages}, {startRow}, {endRow} and {totalRows}
                    output: '{startRow} - {endRow} / {filteredRows} ({totalRows})',
                    // if true, the table will remain the same height no matter how many records are displayed. The space is made up by an empty
                    // table row set to a height to compensate; default is false
                    fixedHeight: false,
                    // remove rows from the table to speed up the sort of large tables.
                    // setting this to false, only hides the non-visible rows; needed if you plan to add/remove rows with the pager enabled.
                    removeRows: false,
                    // go to page selector - select dropdown that sets the current page
                    cssGoto:   '.gotoPage'
                };

                /*=============================================================================================
                 ======================================= LOAD TABLESORTER =====================================
                 =============================================================================================*/

                $("#membersTable").tablesorter({

                    headers: {
                        0: { sorter: false, filter: false },
                        1: { sorter: 'text' },
                        2: { sorter: 'shortDate' },
                        3: { sorter: 'text' },
                        4: { sorter: 'text' },
                        5: { sorter: false, filter: false }
                    },

                    dateFormat: 'uk',

                    // sort on the first column and third column in ascending order
                    sortList: [[1,0]],

                    // hidden filter input/selects will resize the columns, so try to minimize the change
                    widthFixed : true,

                    // initialize zebra striping and filter widgets
                    widgets: ["zebra", "filter"],

                    widgetOptions : {

                        // If there are child rows in the table (rows with class name from "cssChildRow" option)
                        // and this option is true and a match is found anywhere in the child row, then it will make that row
                        // visible; default is false
                        filter_childRows : false,

                        // if true, a filter will be added to the top of each table column;
                        // disabled by using -> headers: { 1: { filter: false } } OR add class="filter-false"
                        // if you set this to false, make sure you perform a search using the second method below
                        filter_columnFilters : true,

                        // css class applied to the table row containing the filters & the inputs within that row
                        filter_cssFilter : 'tablesorter-filter',

                        // add custom filter functions using this option
                        // see the filter widget custom demo for more specifics on how to use this option
                        filter_functions : null,

                        // if true, filters are collapsed initially, but can be revealed by hovering over the grey bar immediately
                        // below the header row. Additionally, tabbing through the document will open the filter row when an input gets focus
                        filter_hideFilters : true,

                        // Set this option to false to make the searches case sensitive
                        filter_ignoreCase : true,

                        // Delay in milliseconds before the filter widget starts searching; This option prevents searching for
                        // every character while typing and should make searching large tables faster.
                        filter_searchDelay : 300,

                        // Set this option to true to use the filter to find text from the start of the column
                        // So typing in "a" will find "albert" but not "frank", both have a's; default is false
                        filter_startsWith : false,

                        // Filter using parsed content for ALL columns
                        // be careful on using this on date columns as the date is parsed and stored as time in seconds
                        filter_useParsedData : false

                    }

                })

                /*=============================================================================================
                 ================================== LOAD PAGER TO TABLESORTER =================================
                 =============================================================================================*/
                
                .tablesorterPager(pagerOptions);

                $('.pagesize').multiselect();


                /*=============================================================================================
                 ================================ SEARCH FUNCTION FOR WHOLE TABLE =============================
                 =============================================================================================*/

                // Write on keyup event of keyword input element
                $("#memberSearch").keyup(function(){
                    // When value of the input is not blank
                    if( $(this).val() != "")
                    {
                        // Show only matching TR, hide rest of them
                        $("#membersTable tbody>tr").hide();
                        $("#membersTable td:contains-ci('" + $(this).val() + "')").parent("tr").show();
                    }
                    else
                    {
                        // When there is no input or clean again, show everything back
                        $("#membersTable tbody>tr").show();
                    }
                });

                /*=============================================================================================
                 ======================== ADD ROLLER GRIP TO TABLESORTER HIDEME ROW ===========================
                 =============================================================================================*/

                $('.tablesorter-filter-row td:first').append('<div class="tableFilterRoller"></div>');

                /*=============================================================================================
                 ======================= ADD MOREOPTIONS ICON TO HIDDEN ROW WITH FILTERS ======================
                 =============================================================================================*/

                $('.tablesorter-filter-row td').not(':first').not(':last').append('<i class="icon-play-circle moreOptions pull-right"></i>');

                /*=============================================================================================
                 ================================ TABLE ROW INFO / EDIT / DELETE ICON ACTIONS =================
                 =============================================================================================*/


                var showMemberIcon = $('i.info').parent(),
                    editMemberIcon = $('i.edit').parent(),
                    deleteMemberIcon = $('i.delete').parent();

                $(showMemberIcon).tooltip({
                    title: 'View member profile'
                });

                $(editMemberIcon).tooltip({
                    title: 'Edit member profile'
                });

                $(deleteMemberIcon).tooltip({
                    title: 'Delete member'
                });

                $('i.info, i.edit, i.delete').parent().hover(function () {
                    $(this).children().stop().animate({
                        opacity: 1
                    }, 200);
                }, function() {
                    $(this).children().stop().animate({
                        opacity: .7
                    }, 200);
                });

                /*=============================================================================================
                 ===================================== SET FIELDS EDITABLE ====================================
                 =============================================================================================*/

                $('#membersTable a.username').editable({
                    type: 'text',
                    name: 'username',
                    url: '/post',
                    title: 'Enter username',
                    placement: 'right'
                });

                $('#membersTable a.registrationDate').editable({
                    type: 'date',
                    viewformat: 'dd/mm/yyyy',
                    name: 'registrationDate',
                    url: '/post',
                    title: 'Enter date of registration'
                });

                $('#membersTable a.memberGroup').editable({
                    type: 'select',
                    source: [{value: 1, text: 'admin'}, {value: 2, text: 'editor'}, {value: 3, text: 'author'}, {value: 4, text: 'user'}, {value: 5, text: 'second technician'}],
                    name: 'memberGroup',
                    url: '/post',
                    title: 'Choose a role'
                }).click(function(){
                    $(this).next().find('select').multiselect();
                });

                $('#membersTable a.memberStatus').editable({
                    type: 'select',
                    source: [{value: 'active', text: 'active'}, {value: 'inactive', text: 'inactive'}, {value: 'banned', text: 'banned'}, {value: 'pending', text: 'pending'}],
                    name: 'memberStatus',
                    url: '/post',
                    title: 'Choose a status',
                    success: function (){
                        var label = $(this).parent() // define variable for link parent
                        selectVal = $(this).next().find('select').val(); // define variable for selected value


                        $(label).removeClass().addClass('label' + ' ' + selectVal); // remove actual class from label and add new class defined by selected value (this change color of label)
                    }
                }).click(function(){
                    $(this).next().find('select').multiselect();
                });
        });
        </script>
        <script src='/js/jquery-customselect.js'></script>
        <link href='/js/jquery-customselect.css' rel='stylesheet' />
 
        <script>
            $(function() {
              $("#hover").customselect({
                search:     true,
                hoveropen:  false
              });
            });
            </script>
    </body>
</html>